ant-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Craig R. McClanahan" <Craig.McClana...@eng.sun.com>
Subject Re: Build Failed
Date Tue, 10 Oct 2000 00:01:18 GMT
Stefan Bodewig wrote:

> >>>>> "EM" == Erik Meade <emeade@geekfarm.org> writes:
>
>  >> From: Stefan Bodewig
>
>  >>  Which JDK is this?
>  EM> C:\>java -version java version "1.3.0" Java(TM) 2 Runtime
>  EM> Environment, Standard Edition (build 1.3.0-C) Java HotSpot(TM)
>  EM> Client VM (build 1.3.0-C, mixed mode)
>
> Which probably means I'll need to download Sun's preview 1.3 for
> Linux, it doesn't cause any problems with IBM's (should IBM's
> ClassLoader implementation be different from Sun's?).
>

I just found an issue (for Tomcat 4.0) that affected *only* users of
Windows and JDK 1.3.0.  It may or may not apply to Ant, but here's the
scoop just in case.

Tomcat 4.0 was generating a URL for a classloader repository like this
under some circumstances:

    C:\Jakarta\build\tomcat-4.0\.\webapps\scarab\WEB-INF\classes/

which would be *silently* ignored because of the "\.\" characters, even
though this same URL worked just fine under JDK 1.2.2 on Windows.  The
Linux version of JDK 1.3 didn't have any problem with "/./" in the
analogous URL, so it's very much platform specific.

>
> Just wanted to add that I hate ClassLoaders.

That's a +1 for sure.

>
> Stefan

Craig McClanahan

====================
See you at ApacheCon Europe <http://www.apachecon.com>!
Session VS01 (23-Oct 13h00-17h00):  Sun Technical Briefing
Session T06  (24-Oct 14h00-15h00):  Migrating Apache JServ
                                    Applications to Tomcat

Mime
View raw message